1:Go to Denevieve for help.
4:Go to Grew for help.
3:Go alone.
#whistle
As you take the magic whistle from the wizard's hand, he disappears in a
puff of smoke. You decide that you should give the whistle a try before you
set off to deal with the dragon (after all, if you learned nothing else in
school, it was that testing is VERY important). 

You think of a raven and blow on the whistle "CAW CAW CAW CAW". Then you
think of a chicken and blow "COCKADOODLEDOOOO". It seems like the whistle
works great, though you wonder how many different birds you can think of
and how they would help you deal with the dragon. 

Putting that question in the back of your mind, you contemplate whether or
not you should get some help before you set out. On the one hand, if you go
alone, you might be able to better sneak into the dragon's lair. On the
other hand, help might be useful.

Fortunately for you, the two wisest people you know, Denevieve and Grew,
live in the next village over. Thinking about it for several minutes, you
decide whom to go to for help.
